Package org.jbpm.services.task.impl.model

## Class CommentImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.CommentImpl_

-     @Generated("org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class CommentImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ADDED_AT` |
    `static String` | `ADDED_BY` |
    `static javax.persistence.metamodel.SingularAttribute<CommentImpl,​Date>` | `addedAt` |
    `static javax.persistence.metamodel.SingularAttribute<CommentImpl,​UserImpl>` | `addedBy` |
    `static javax.persistence.metamodel.SingularAttribute<CommentImpl,​Long>` | `id` |
    `static String` | `ID` |
    `static javax.persistence.metamodel.SingularAttribute<CommentImpl,​String>` | `text` |
    `static String` | `TEXT` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommentImpl_()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### addedAt

          public static volatile javax.persistence.metamodel.SingularAttribute<CommentImpl,​Date> addedAt

    - #### addedBy

          public static volatile javax.persistence.metamodel.SingularAttribute<CommentImpl,​UserImpl> addedBy

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<CommentImpl,​Long> id

    - #### text

          public static volatile javax.persistence.metamodel.SingularAttribute<CommentImpl,​String> text

    - #### ADDED_AT

          public static final String ADDED_AT

      See Also:
        Constant Field Values

    - #### ADDED_BY

          public static final String ADDED_BY

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### TEXT

          public static final String TEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommentImpl_

          public CommentImpl_()